Bug 88061 - ROWS(),SHEETS(), COLUMNS() functions - relative path to other file
Summary: ROWS(),SHEETS(), COLUMNS() functions - relative path to other file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2015-01-05 17:31 UTC by raal
Modified: 2020-02-07 03:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-01-05 17:31:48 UTC
Version: 4.5.0.0.alpha0+
Build ID: 7f476fea47f06a7f8cc961dd4f6595a524346fa5
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-27_23:36:28

Steps to reproduce:
1. Launch Calc, make sure that in menu 'Tools -> Options ->   Load/Save -> General - Save - "Save URLs relative to file  system"' is checked.
2. create some directory, for example /tmp/test_relative
3. create empty file data.ods in this directory
4  create file test.ods in this directory; write formula  =ROWS('file:///tmp/test_relative/data.ods'#$Sheet1.A1)
   result is 1 -  correct

5.  save file
6. rename directory test_relative to test_relativ (delete 'e') and reopen file test.ods; refresh links

actual results:
error message: The following external file could not be loaded. Data linked from this file did not get updated.
file:///tmp/test_relative/data.ods


expected results:
formula became =ROWS('file:///tmp/test_relativ/data.ods'#$Sheet1.A1) and works

The same for ROWS(),SHEETS(), COLUMNS() functions.

workaround:
create formula =LEFT('file:///tmp/test_relative/data.ods'#$Sheet1.A1;1). This create in content.xml relative reference <table:table-source xlink:type="simple" xlink:href="../data.ods" table:table-name="Sheet1" table:filter-name="calc8" table:mode="copy-results-only"/>
Comment 1 Buovjaga 2015-01-15 08:49:01 UTC
Same problem already in 3.5.
In 3.3.0, the result was Err:504 in any case even though no warning was displayed, when updating the links after renaming folder (saved file in 3.3.0 first).

Severity -> minor because of workaround.

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 7201fa0dddd7dd0352f69fd2b2b64efcb361ccad
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-11_23:28:55

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 raal 2015-01-15 09:35:22 UTC
(In reply to Beluga from comment #1)

Hi Beluga,

> Same problem already in 3.5.
> In 3.3.0, the result was Err:504 in any case even though no warning was
> displayed, when updating the links after renaming folder (saved file in
> 3.3.0 first).

Because of bug 43700 . I've found this bug 88061 when I tried to create unit test for bug 43700.

> 
> Severity -> minor because of workaround.

There is not easy workaround, only you can rewrite formula. Imagine lots of formulas or when I send files to other man - impossible to repair formulas.. Setting back to normal.
Comment 3 QA Administrators 2016-01-17 20:03:16 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 14:06:46 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-02-07 03:08:26 UTC
Dear raal,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug